Page MenuHomePhabricator

Embed should use localized wikitext
Open, Stalled, LowPublic

Description

Currently, the wikitext embed URL is non-localized; e.g.

https://nl.wikipedia.org/wiki/Hoofdpagina#mediaviewer/Bestand:Chicago_Board_Of_Trade_Building.jpg

shows the following embed code:

[[File:Chicago_Board_Of_Trade_Building.jpg|thumb|Chicago Board Of Trade Building]]

while the localized version

[[Bestand:Chicago_Board_Of_Trade_Building.jpg|thumb|Chicago Board Of Trade Building]]

would make much more sense.


Version: master
Severity: normal

Details

Reference
bz64710

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:22 AM
bzimport added projects: MediaViewer, I18n.
bzimport set Reference to bz64710.
bzimport added a subscriber: Unknown Object (MLST).
Tgr added a comment.May 1 2014, 8:29 PM

The thumb keyword can also be localized, although I'm not sure how to access it in JS (the namespaces are stored in a config variable so that should be easy - this should probably be added to mw.Title).

Tgr added a comment.May 4 2014, 5:03 AM

Turns out mw.Title does that already, we just don't use it. Doh.

Change 131325 had a related patch set uploaded by Gergő Tisza:
Use localized namespace name in embed wikitext

https://gerrit.wikimedia.org/r/131325

Change 131325 merged by jenkins-bot:
Use localized namespace name in embed wikitext

https://gerrit.wikimedia.org/r/131325

Change 131509 had a related patch set uploaded by Gergő Tisza:
Revert "Use localized namespace name in embed wikitext"

https://gerrit.wikimedia.org/r/131509

Per Erik on multimedia list, it's enough to follow content language, as we do for UploadWizard ("File") and the editing toolbar.

Tgr added a comment.May 7 2014, 8:04 AM

(In reply to Nemo from comment #6)

Per Erik on multimedia list, it's enough to follow content language, as we
do for UploadWizard ("File") and the editing toolbar.

Those are not relevant examples: the editing toolbar is not used cross-wiki, and UploadWizard is (almost) only used on Commons, where the canonical and the contentlang namespace name is the same.

Change 131509 merged by jenkins-bot:
Revert "Use localized namespace name in embed wikitext"

https://gerrit.wikimedia.org/r/131509

(In reply to Gerrit Notification Bot from comment #8)

Change 131509 merged by jenkins-bot:
Revert "Use localized namespace name in embed wikitext"

I'm confused. What changed since the multimedia list discussion?

Tgr added a comment.Jun 17 2014, 2:59 AM

Nothing. I had doubts after submitting this patch so I started a mailing list thread about it; there was no consensus (nor much interest, really) so no reason not to merge (except it got forgotten for a while).

I'll leave the bug open for a while longer; if there are many complaints, I'll try the {{ns}} hack.

When there is no consensus, you should follow standards. That is, wiki content language. Whatever. Here's the link I mentioned above. http://lists.wikimedia.org/pipermail/multimedia/2014-May/000403.html

Gilles triaged this task as Low priority.Nov 24 2014, 2:32 PM
Gilles added a subscriber: Gilles.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:10 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:10 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Liuxinyu970226 set Security to None.Oct 1 2015, 6:11 AM
Luke081515 closed this task as Declined.Feb 2 2016, 12:23 AM
Luke081515 added a subscriber: Luke081515.

Declined per T124354. There is no consensus for this change yet. Please reopen the task if consensus reached.

Luke081515 reopened this task as Open.Feb 2 2016, 12:45 AM

This is not a configuration change, please don't use the Community-consensus-needed tag.

Tgr changed the task status from Open to Stalled.Feb 4 2016, 9:48 PM
Tgr removed a subscriber: Tgr.Tue, Jul 9, 6:04 PM